#include "fds.h"
#include <stdint.h>
#include <propeller.h>

int main(void)
{
    int32_t rxpin = 31;
    int32_t txpin = 30;
    int32_t mode  = 0;
    int32_t baud  = 115200;
    fdsSpin port;
    port.Start(rxpin, txpin, mode, baud);

    waitcnt(CLKFREQ*1 + CNT);

    port.Tx('a');
    port.Tx('b');
    port.Tx('c');
    port.Tx('d');
    port.Tx('\n');
    port.Tx('\r');

    port.Str("Trouble\r\n");
    waitcnt(CLKFREQ/2 + CNT);

    for(;;)
    {
//    char output[] = "Hello, World!\r\n";
//	port.Str(&output);

        port.Str("XYZ\r\n");
        waitcnt(CLKFREQ/2 + CNT);
        port.Str("Afternoon\r\n");
        waitcnt(CLKFREQ/2 + CNT);
        port.Str("Boxing\r\n");
        waitcnt(CLKFREQ/2 + CNT);
        port.Str("Charlie\r\n");

        waitcnt(CLKFREQ + CNT);
    }
}
